package cn.iocoder.yudao.framework.sms.core.client.impl.bulk;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;
import cn.iocoder.yudao.framework.common.exception.enums.GlobalErrorCodeConstants;
import cn.iocoder.yudao.framework.sms.core.client.SmsCodeMapping;
import cn.iocoder.yudao.framework.sms.core.enums.SmsFrameworkErrorCodeConstants;
import org.apache.commons.lang3.StringUtils;

/**
 * Bulk SmsCodeMapping 实现类
 *
 * @author Jayden
 */
public class BulkSmsCodeMapping implements SmsCodeMapping {
    @Override
    public ErrorCode apply(String apiCode) {
        if (StringUtils.isNotBlank(apiCode) && "OK".equals(apiCode)) {
            return GlobalErrorCodeConstants.SUCCESS;
        }
        return SmsFrameworkErrorCodeConstants.SMS_UNKNOWN;
    }
}
